automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: automake po / pot file integration: first tests available


From: Stefano Lattarini
Subject: Re: automake po / pot file integration: first tests available
Date: Mon, 6 Sep 2010 15:07:30 +0200
User-agent: KMail/1.13.3 (Linux/2.6.30-2-686; KDE/4.4.4; i686; ; )

Hi Bruno,  Thanks for your work on this.

I noticed some problems (both serious and cosmetic) in your patch.
Here is a summary of the in decreasing order of relevance:

 1. You sometimes failed to use `$MAKE' instead of `make' and `Exit'
    instead of `exit' ("make maintainer-check" cuaght this).
 2. IMHO it's better to avoid redirecting output (from e.g. grep and
    cmp) to /dev/null, since our testsuite is already very verbose, and
    some extra output (even if redundant) won't hurt.
 3. tests/README suggest to end test scripts with a `:':
     ``End the test script with a `:' or `Exit 0'.  Otherwise, when
       somebody changes the test by adding a failing command after
       the last command, the test will spuriously fail because $? is
       nonzero at the end.''
 4. Ralf and I agreed that we shouldn't put `gzip' in $required, since
    it's a basic tool to be taken for granted (like e.g. diff and sed
    are).
 5. Some minor blemishes, inconsistencies, and cosmetic stuff.

Also, you forgot to make new tests executable, and to add them to 
$(TESTS) in tests/Makefile.am.

OK to push the three attached follow-up patches?

Regards,
  Stefano

-*-*-*-

Stefano Lattarini (3):
  Make internationalization tests executable.
  List internationalization tests in tests/Makefile.am.
  Fixlets for internationalization tests.

 ChangeLog                     |   69 ++++++++++++++++++++++++++++++
 tests/Makefile.am             |   50 +++++++++++++++++++++-
 tests/Makefile.in             |   50 +++++++++++++++++++++-
 tests/pot-copyright.test      |    2 +
 tests/pot-download1.test      |    7 +--
 tests/pot-empty.test          |    2 +
 tests/pot-enable1.test        |   11 +++--
 tests/pot-enable2.test        |   11 +++--
 tests/pot-format-csharp1.test |   45 ++++++++------------
 tests/pot-format-java1.test   |   45 ++++++++------------
 tests/pot-format-java2.test   |   45 ++++++++------------
 tests/pot-format-qt1.test     |   44 ++++++++-----------
 tests/pot-format-tcl1.test    |   45 ++++++++------------
 tests/pot-linguas.test        |   93 ++++++++++++++++++-----------------------
 tests/pot-macro-warn.test     |    3 +-
 tests/pot-msgidbugs.test      |   20 +++++----
 tests/pot-no-linguas.test     |   26 ++++++-----
 tests/pot-noinst.test         |   85 +++++++++++++++++--------------------
 tests/pot-override1.test      |   22 +++++----
 tests/pot-samedir.test        |   54 ++++++++++--------------
 tests/pot-topsrcdir.test      |   93 ++++++++++++++++++-----------------------
 tests/pot-warn1.test          |    3 +-
 tests/pot-warn2.test          |    4 +-
 tests/pot-xgettext1.test      |   12 +++--
 tests/pot-xgettext2.test      |   12 +++--
 tests/pot-xgettext3.test      |   12 +++--
 tests/pot-xgettext4.test      |   12 +++--
 27 files changed, 494 insertions(+), 383 deletions(-)
 mode change 100644 => 100755 tests/pot-copyright.test
 mode change 100644 => 100755 tests/pot-download1.test
 mode change 100644 => 100755 tests/pot-empty.test
 mode change 100644 => 100755 tests/pot-enable1.test
 mode change 100644 => 100755 tests/pot-enable2.test
 mode change 100644 => 100755 tests/pot-format-csharp1.test
 mode change 100644 => 100755 tests/pot-format-java1.test
 mode change 100644 => 100755 tests/pot-format-java2.test
 mode change 100644 => 100755 tests/pot-format-qt1.test
 mode change 100644 => 100755 tests/pot-format-tcl1.test
 mode change 100644 => 100755 tests/pot-linguas.test
 mode change 100644 => 100755 tests/pot-macro-warn.test
 mode change 100644 => 100755 tests/pot-msgidbugs.test
 mode change 100644 => 100755 tests/pot-no-linguas.test
 mode change 100644 => 100755 tests/pot-noinst.test
 mode change 100644 => 100755 tests/pot-override1.test
 mode change 100644 => 100755 tests/pot-samedir.test
 mode change 100644 => 100755 tests/pot-topsrcdir.test
 mode change 100644 => 100755 tests/pot-warn1.test
 mode change 100644 => 100755 tests/pot-warn2.test
 mode change 100644 => 100755 tests/pot-xgettext1.test
 mode change 100644 => 100755 tests/pot-xgettext2.test
 mode change 100644 => 100755 tests/pot-xgettext3.test
 mode change 100644 => 100755 tests/pot-xgettext4.test
From 0555e641094da91f8e5a3e6167d2d4e8763a2246 Mon Sep 17 00:00:00 2001
From: Stefano Lattarini <address@hidden>
Date: Mon, 6 Sep 2010 14:40:48 +0200
Subject: [PATCH 1/3] Make internationalization tests executable.

* tests/pot-macro-warn.test: Made executable.
* tests/pot-enable1.test: Likewise.
* tests/pot-enable2.test: Likewise.
* tests/pot-warn1.test: Likewise.
* tests/pot-warn2.test: Likewise.
* tests/pot-empty.test: Likewise.
* tests/pot-no-linguas.test: Likewise.
* tests/pot-linguas.test: Likewise.
* tests/pot-noinst.test: Likewise.
* tests/pot-topsrcdir.test: Likewise.
* tests/pot-samedir.test: Likewise.
* tests/pot-override1.test: Likewise.
* tests/pot-copyright.test: Likewise.
* tests/pot-msgidbugs.test: Likewise.
* tests/pot-xgettext1.test: Likewise.
* tests/pot-xgettext2.test: Likewise.
* tests/pot-xgettext3.test: Likewise.
* tests/pot-xgettext4.test: Likewise.
* tests/pot-download1.test: Likewise.
* tests/pot-format-qt1.test: Likewise.
* tests/pot-format-java1.test: Likewise.
* tests/pot-format-java2.test: Likewise.
* tests/pot-format-csharp1.test: Likewise.
* tests/pot-format-tcl1.test: Likewise.
---
 ChangeLog                     |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)
 mode change 100644 => 100755 tests/pot-copyright.test
 mode change 100644 => 100755 tests/pot-download1.test
 mode change 100644 => 100755 tests/pot-empty.test
 mode change 100644 => 100755 tests/pot-enable1.test
 mode change 100644 => 100755 tests/pot-enable2.test
 mode change 100644 => 100755 tests/pot-format-csharp1.test
 mode change 100644 => 100755 tests/pot-format-java1.test
 mode change 100644 => 100755 tests/pot-format-java2.test
 mode change 100644 => 100755 tests/pot-format-qt1.test
 mode change 100644 => 100755 tests/pot-format-tcl1.test
 mode change 100644 => 100755 tests/pot-linguas.test
 mode change 100644 => 100755 tests/pot-macro-warn.test
 mode change 100644 => 100755 tests/pot-msgidbugs.test
 mode change 100644 => 100755 tests/pot-no-linguas.test
 mode change 100644 => 100755 tests/pot-noinst.test
 mode change 100644 => 100755 tests/pot-override1.test
 mode change 100644 => 100755 tests/pot-samedir.test
 mode change 100644 => 100755 tests/pot-topsrcdir.test
 mode change 100644 => 100755 tests/pot-warn1.test
 mode change 100644 => 100755 tests/pot-warn2.test
 mode change 100644 => 100755 tests/pot-xgettext1.test
 mode change 100644 => 100755 tests/pot-xgettext2.test
 mode change 100644 => 100755 tests/pot-xgettext3.test
 mode change 100644 => 100755 tests/pot-xgettext4.test

diff --git a/ChangeLog b/ChangeLog
index a21b60a..5dd4e00 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,31 @@
+2010-09-06  Stefano Lattarini  <address@hidden>
+
+       Make internationalization tests executable.
+       * tests/pot-macro-warn.test: Made executable.
+       * tests/pot-enable1.test: Likewise.
+       * tests/pot-enable2.test: Likewise.
+       * tests/pot-warn1.test: Likewise.
+       * tests/pot-warn2.test: Likewise.
+       * tests/pot-empty.test: Likewise.
+       * tests/pot-no-linguas.test: Likewise.
+       * tests/pot-linguas.test: Likewise.
+       * tests/pot-noinst.test: Likewise.
+       * tests/pot-topsrcdir.test: Likewise.
+       * tests/pot-samedir.test: Likewise.
+       * tests/pot-override1.test: Likewise.
+       * tests/pot-copyright.test: Likewise.
+       * tests/pot-msgidbugs.test: Likewise.
+       * tests/pot-xgettext1.test: Likewise.
+       * tests/pot-xgettext2.test: Likewise.
+       * tests/pot-xgettext3.test: Likewise.
+       * tests/pot-xgettext4.test: Likewise.
+       * tests/pot-download1.test: Likewise.
+       * tests/pot-format-qt1.test: Likewise.
+       * tests/pot-format-java1.test: Likewise.
+       * tests/pot-format-java2.test: Likewise.
+       * tests/pot-format-csharp1.test: Likewise.
+       * tests/pot-format-tcl1.test: Likewise.
+
 2010-09-05  Bruno Haible  <address@hidden>
 
        Internationalization tests.
diff --git a/tests/pot-copyright.test b/tests/pot-copyright.test
old mode 100644
new mode 100755
diff --git a/tests/pot-download1.test b/tests/pot-download1.test
old mode 100644
new mode 100755
diff --git a/tests/pot-empty.test b/tests/pot-empty.test
old mode 100644
new mode 100755
diff --git a/tests/pot-enable1.test b/tests/pot-enable1.test
old mode 100644
new mode 100755
diff --git a/tests/pot-enable2.test b/tests/pot-enable2.test
old mode 100644
new mode 100755
diff --git a/tests/pot-format-csharp1.test b/tests/pot-format-csharp1.test
old mode 100644
new mode 100755
diff --git a/tests/pot-format-java1.test b/tests/pot-format-java1.test
old mode 100644
new mode 100755
diff --git a/tests/pot-format-java2.test b/tests/pot-format-java2.test
old mode 100644
new mode 100755
diff --git a/tests/pot-format-qt1.test b/tests/pot-format-qt1.test
old mode 100644
new mode 100755
diff --git a/tests/pot-format-tcl1.test b/tests/pot-format-tcl1.test
old mode 100644
new mode 100755
diff --git a/tests/pot-linguas.test b/tests/pot-linguas.test
old mode 100644
new mode 100755
diff --git a/tests/pot-macro-warn.test b/tests/pot-macro-warn.test
old mode 100644
new mode 100755
diff --git a/tests/pot-msgidbugs.test b/tests/pot-msgidbugs.test
old mode 100644
new mode 100755
diff --git a/tests/pot-no-linguas.test b/tests/pot-no-linguas.test
old mode 100644
new mode 100755
diff --git a/tests/pot-noinst.test b/tests/pot-noinst.test
old mode 100644
new mode 100755
diff --git a/tests/pot-override1.test b/tests/pot-override1.test
old mode 100644
new mode 100755
diff --git a/tests/pot-samedir.test b/tests/pot-samedir.test
old mode 100644
new mode 100755
diff --git a/tests/pot-topsrcdir.test b/tests/pot-topsrcdir.test
old mode 100644
new mode 100755
diff --git a/tests/pot-warn1.test b/tests/pot-warn1.test
old mode 100644
new mode 100755
diff --git a/tests/pot-warn2.test b/tests/pot-warn2.test
old mode 100644
new mode 100755
diff --git a/tests/pot-xgettext1.test b/tests/pot-xgettext1.test
old mode 100644
new mode 100755
diff --git a/tests/pot-xgettext2.test b/tests/pot-xgettext2.test
old mode 100644
new mode 100755
diff --git a/tests/pot-xgettext3.test b/tests/pot-xgettext3.test
old mode 100644
new mode 100755
diff --git a/tests/pot-xgettext4.test b/tests/pot-xgettext4.test
old mode 100644
new mode 100755
-- 
1.7.1

From a5ae72e933c3b455dd3ce25b9374e19abdf9eabb Mon Sep 17 00:00:00 2001
From: Stefano Lattarini <address@hidden>
Date: Mon, 6 Sep 2010 14:34:09 +0200
Subject: [PATCH 2/3] List internationalization tests in tests/Makefile.am.

* tests/Makefile.am (TESTS, XFAIL_TESTS): Add internationalization
tests `pot-*.test' introduced in previous commit.
---
 ChangeLog         |    4 ++++
 tests/Makefile.am |   50 +++++++++++++++++++++++++++++++++++++++++++++++++-
 tests/Makefile.in |   50 +++++++++++++++++++++++++++++++++++++++++++++++++-
 3 files changed, 102 insertions(+), 2 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 5dd4e00..65c2f68 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,9 @@
 2010-09-06  Stefano Lattarini  <address@hidden>
 
+       List internationalization tests in tests/Makefile.am.
+       * tests/Makefile.am (TESTS, XFAIL_TESTS): Add internationalization
+       tests `pot-*.test' introduced in previous commit.
+
        Make internationalization tests executable.
        * tests/pot-macro-warn.test: Made executable.
        * tests/pot-enable1.test: Likewise.
diff --git a/tests/Makefile.am b/tests/Makefile.am
index d86b03b..b9197df 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -21,7 +21,31 @@ all.test                                     \
 auxdir2.test                                   \
 cond17.test                                    \
 gcj6.test                                      \
-txinfo5.test
+txinfo5.test                                   \
+pot-copyright.test \
+pot-download1.test \
+pot-empty.test \
+pot-enable1.test \
+pot-enable2.test \
+pot-format-csharp1.test \
+pot-format-java1.test \
+pot-format-java2.test \
+pot-format-qt1.test \
+pot-format-tcl1.test \
+pot-linguas.test \
+pot-macro-warn.test \
+pot-msgidbugs.test \
+pot-no-linguas.test \
+pot-noinst.test \
+pot-override1.test \
+pot-samedir.test \
+pot-topsrcdir.test \
+pot-warn1.test \
+pot-warn2.test \
+pot-xgettext1.test \
+pot-xgettext2.test \
+pot-xgettext3.test \
+pot-xgettext4.test
 
 include $(srcdir)/parallel-tests.am
 
@@ -585,6 +609,30 @@ pluseq7.test \
 pluseq8.test \
 pluseq9.test \
 pluseq10.test \
+pot-copyright.test \
+pot-download1.test \
+pot-empty.test \
+pot-enable1.test \
+pot-enable2.test \
+pot-format-csharp1.test \
+pot-format-java1.test \
+pot-format-java2.test \
+pot-format-qt1.test \
+pot-format-tcl1.test \
+pot-linguas.test \
+pot-macro-warn.test \
+pot-msgidbugs.test \
+pot-no-linguas.test \
+pot-noinst.test \
+pot-override1.test \
+pot-samedir.test \
+pot-topsrcdir.test \
+pot-warn1.test \
+pot-warn2.test \
+pot-xgettext1.test \
+pot-xgettext2.test \
+pot-xgettext3.test \
+pot-xgettext4.test \
 postproc.test \
 ppf77.test \
 pr2.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index 77ec888..ac14141 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -255,7 +255,31 @@ all.test                                   \
 auxdir2.test                                   \
 cond17.test                                    \
 gcj6.test                                      \
-txinfo5.test
+txinfo5.test                                   \
+pot-copyright.test \
+pot-download1.test \
+pot-empty.test \
+pot-enable1.test \
+pot-enable2.test \
+pot-format-csharp1.test \
+pot-format-java1.test \
+pot-format-java2.test \
+pot-format-qt1.test \
+pot-format-tcl1.test \
+pot-linguas.test \
+pot-macro-warn.test \
+pot-msgidbugs.test \
+pot-no-linguas.test \
+pot-noinst.test \
+pot-override1.test \
+pot-samedir.test \
+pot-topsrcdir.test \
+pot-warn1.test \
+pot-warn2.test \
+pot-xgettext1.test \
+pot-xgettext2.test \
+pot-xgettext3.test \
+pot-xgettext4.test
 
 parallel_tests = check-p.test check10-p.test check11-p.test \
        check2-p.test check3-p.test check4-p.test check5-p.test \
@@ -796,6 +820,30 @@ pluseq7.test \
 pluseq8.test \
 pluseq9.test \
 pluseq10.test \
+pot-copyright.test \
+pot-download1.test \
+pot-empty.test \
+pot-enable1.test \
+pot-enable2.test \
+pot-format-csharp1.test \
+pot-format-java1.test \
+pot-format-java2.test \
+pot-format-qt1.test \
+pot-format-tcl1.test \
+pot-linguas.test \
+pot-macro-warn.test \
+pot-msgidbugs.test \
+pot-no-linguas.test \
+pot-noinst.test \
+pot-override1.test \
+pot-samedir.test \
+pot-topsrcdir.test \
+pot-warn1.test \
+pot-warn2.test \
+pot-xgettext1.test \
+pot-xgettext2.test \
+pot-xgettext3.test \
+pot-xgettext4.test \
 postproc.test \
 ppf77.test \
 pr2.test \
-- 
1.7.1

From e23b40e9bfa866adb20688d255f6d63c17738e9b Mon Sep 17 00:00:00 2001
From: Stefano Lattarini <address@hidden>
Date: Mon, 6 Sep 2010 14:32:30 +0200
Subject: [PATCH 3/3] Fixlets for internationalization tests.

* tests/pot-copyright.test: Add trailing `:' command.
* tests/pot-empty.test: Likewise.
* tests/pot-download1.test: Likewise.  Use `Exit', not `exit'.
($required): Remove gzip, as we must take it for granted anyway.
* tests/pot-format-qt1.test: Use `Exit', not `exit'.  Use `$MAKE',
not bare `make'.  Add trailing `:' command.  Avoid useless use of
cat.  Do not redirect output of grep, cmp, etc. to /dev/null.
Other minor cosmetic changes.
* tests/pot-format-java1.test: Likewise, and ...
($required): Remove gzip, as we must take it for granted anyway.
* tests/pot-format-java2.test: Likewise.
* tests/pot-format-tcl1.test: Likewise.
* tests/pot-linguas.test: Likewise.
* tests/pot-noinst.test: Likewise.
* tests/pot-samedir.test: Likewise.
* tests/pot-topsrcdir.test: Likewise.
* tests/pot-format-csharp1.test: Likewise, and quote all literal
dots in grep regexps.
* tests/pot-enable1.test: Use `$MAKE', not bare `make'.  Do not
redirect grep output to /dev/null.  Add trailing `:' command.
(Makefile.am): Explicitly declare phony target as such.
* tests/pot-enable2.test: Likewise.
* tests/pot-msgidbugs.test: Use `$MAKE', not bare `make'.  Avoid
useless use of cat.  Add trailing `:' command.
* tests/pot-xgettext1.test: Likewise.
* tests/pot-xgettext2.test: Likewise.
* tests/pot-xgettext3.test: Likewise.
* tests/pot-xgettext4.test: Likewise.
* tests/pot-no-linguas.test: Likewise, and do not redirect grep
output to /dev/null.
* tests/pot-override1.test: Likewise.
* tests/pot-macro-warn.test: Avoid useless use of `AUTOMAKE_run'.
Add trailing `:' command.
* tests/pot-warn1.test: Likewise.
* tests/pot-warn2.test: Likewise.
---
 ChangeLog                     |   37 ++++++++++++++++
 tests/pot-copyright.test      |    2 +
 tests/pot-download1.test      |    7 +--
 tests/pot-empty.test          |    2 +
 tests/pot-enable1.test        |   11 +++--
 tests/pot-enable2.test        |   11 +++--
 tests/pot-format-csharp1.test |   45 ++++++++------------
 tests/pot-format-java1.test   |   45 ++++++++------------
 tests/pot-format-java2.test   |   45 ++++++++------------
 tests/pot-format-qt1.test     |   44 ++++++++-----------
 tests/pot-format-tcl1.test    |   45 ++++++++------------
 tests/pot-linguas.test        |   93 ++++++++++++++++++-----------------------
 tests/pot-macro-warn.test     |    3 +-
 tests/pot-msgidbugs.test      |   20 +++++----
 tests/pot-no-linguas.test     |   26 ++++++-----
 tests/pot-noinst.test         |   85 +++++++++++++++++--------------------
 tests/pot-override1.test      |   22 +++++----
 tests/pot-samedir.test        |   54 ++++++++++--------------
 tests/pot-topsrcdir.test      |   93 ++++++++++++++++++-----------------------
 tests/pot-warn1.test          |    3 +-
 tests/pot-warn2.test          |    4 +-
 tests/pot-xgettext1.test      |   12 +++--
 tests/pot-xgettext2.test      |   12 +++--
 tests/pot-xgettext3.test      |   12 +++--
 tests/pot-xgettext4.test      |   12 +++--
 25 files changed, 364 insertions(+), 381 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 65c2f68..2f7c6a1 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,42 @@
 2010-09-06  Stefano Lattarini  <address@hidden>
 
+       Fixlets for internationalization tests.
+       * tests/pot-copyright.test: Add trailing `:' command.
+       * tests/pot-empty.test: Likewise.
+       * tests/pot-download1.test: Likewise.  Use `Exit', not `exit'.
+       ($required): Remove gzip, as we must take it for granted anyway.
+       * tests/pot-format-qt1.test: Use `Exit', not `exit'.  Use `$MAKE',
+       not bare `make'.  Add trailing `:' command.  Avoid useless use of
+       cat.  Do not redirect output of grep, cmp, etc. to /dev/null.
+       Other minor cosmetic changes.
+       * tests/pot-format-java1.test: Likewise, and ...
+       ($required): Remove gzip, as we must take it for granted anyway.
+       * tests/pot-format-java2.test: Likewise.
+       * tests/pot-format-tcl1.test: Likewise.
+       * tests/pot-linguas.test: Likewise.
+       * tests/pot-noinst.test: Likewise.
+       * tests/pot-samedir.test: Likewise.
+       * tests/pot-topsrcdir.test: Likewise.
+       * tests/pot-format-csharp1.test: Likewise, and quote all literal
+       dots in grep regexps.
+       * tests/pot-enable1.test: Use `$MAKE', not bare `make'.  Do not
+       redirect grep output to /dev/null.  Add trailing `:' command.
+       (Makefile.am): Explicitly declare phony target as such.
+       * tests/pot-enable2.test: Likewise.
+       * tests/pot-msgidbugs.test: Use `$MAKE', not bare `make'.  Avoid
+       useless use of cat.  Add trailing `:' command.
+       * tests/pot-xgettext1.test: Likewise.
+       * tests/pot-xgettext2.test: Likewise.
+       * tests/pot-xgettext3.test: Likewise.
+       * tests/pot-xgettext4.test: Likewise.
+       * tests/pot-no-linguas.test: Likewise, and do not redirect grep
+       output to /dev/null.
+       * tests/pot-override1.test: Likewise.
+       * tests/pot-macro-warn.test: Avoid useless use of `AUTOMAKE_run'.
+       Add trailing `:' command.
+       * tests/pot-warn1.test: Likewise.
+       * tests/pot-warn2.test: Likewise.
+
        List internationalization tests in tests/Makefile.am.
        * tests/Makefile.am (TESTS, XFAIL_TESTS): Add internationalization
        tests `pot-*.test' introduced in previous commit.
diff --git a/tests/pot-copyright.test b/tests/pot-copyright.test
index e4f9ff2..9fe7318 100755
--- a/tests/pot-copyright.test
+++ b/tests/pot-copyright.test
@@ -104,3 +104,5 @@ for builddir in . sub; do
   rm -rf "$instdir"
   cd $sourcedir
 done
+
+:
diff --git a/tests/pot-download1.test b/tests/pot-download1.test
index a70845b..d377389 100755
--- a/tests/pot-download1.test
+++ b/tests/pot-download1.test
@@ -16,7 +16,6 @@
 
 # Check the download of translations from the Translation Project.
 
-required='gzip'
 . ./defs || Exit 1
 
 set -e
@@ -67,9 +66,7 @@ for builddir in . sub; do
   # translation.
   make dist
   gzip -d -c < pot-download1-1.0.tar.gz | tar tf - > filelist
-  if grep '^pot-download1-1\.0/clisp-de\.po$' filelist >/dev/null; then
-    exit 1
-  fi
+  grep '^pot-download1-1\.0/clisp-de\.po$' filelist && Exit 1
   rm -f filelist
 
   # Sanity check.
@@ -80,3 +77,5 @@ for builddir in . sub; do
   rm -rf "$instdir"
   cd $sourcedir
 done
+
+:
diff --git a/tests/pot-empty.test b/tests/pot-empty.test
index 09bca2b..b106ff2 100755
--- a/tests/pot-empty.test
+++ b/tests/pot-empty.test
@@ -79,3 +79,5 @@ for builddir in . sub; do
   rm -rf "$instdir"
   cd $sourcedir
 done
+
+:
diff --git a/tests/pot-enable1.test b/tests/pot-enable1.test
index 77b154d..ff98d83 100755
--- a/tests/pot-enable1.test
+++ b/tests/pot-enable1.test
@@ -23,6 +23,7 @@
 set -e
 
 cat > Makefile.am << 'END'
+.PHONY: check-USE_NLS-yes check-USE_NLS-no
 check-USE_NLS-yes:
        test "@USE_NLS@" = yes
 check-USE_NLS-no:
@@ -39,14 +40,16 @@ $AUTOMAKE -a
 $AUTOCONF
 
 # Check that the --help output advertises --disable-nls.
-./configure --help | grep ' --disable-nls ' >/dev/null
+./configure --help | grep ' --disable-nls '
 
 # Check that --enable-nls causes USE_NLS to be yes.
 ./configure --enable-nls
-make check-USE_NLS-yes
+$MAKE check-USE_NLS-yes
 
-make distclean
+$MAKE distclean
 
 # Check that --disable-nls causes USE_NLS to be no.
 ./configure --disable-nls
-make check-USE_NLS-no
+$MAKE check-USE_NLS-no
+
+:
diff --git a/tests/pot-enable2.test b/tests/pot-enable2.test
index 02bde5b..31ab56b 100755
--- a/tests/pot-enable2.test
+++ b/tests/pot-enable2.test
@@ -23,6 +23,7 @@
 set -e
 
 cat > Makefile.am << 'END'
+.PHONY: check-USE_NLS-yes check-USE_NLS-no
 check-USE_NLS-yes:
        test "@USE_NLS@" = yes
 check-USE_NLS-no:
@@ -39,14 +40,16 @@ $AUTOMAKE -a
 $AUTOCONF
 
 # Check that the --help output advertises --disable-nls.
-./configure --help | grep ' --disable-nls ' >/dev/null
+./configure --help | grep ' --disable-nls '
 
 # Check that --enable-nls causes USE_NLS to be yes.
 ./configure --enable-nls
-make check-USE_NLS-yes
+$MAKE check-USE_NLS-yes
 
-make distclean
+$MAKE distclean
 
 # Check that --disable-nls causes USE_NLS to be no.
 ./configure --disable-nls
-make check-USE_NLS-no
+$MAKE check-USE_NLS-no
+
+:
diff --git a/tests/pot-format-csharp1.test b/tests/pot-format-csharp1.test
index 8c7f6c7..71379ea 100755
--- a/tests/pot-format-csharp1.test
+++ b/tests/pot-format-csharp1.test
@@ -16,7 +16,6 @@
 
 # Check the creation of compiled message catalogs in C# format.
 
-required='gzip'
 . ./defs || Exit 1
 
 set -e
@@ -125,18 +124,18 @@ for builddir in . sub; do
     instdir="`pwd`/instdir"
     cd $builddir
     env $config_options $sourcedir/configure --prefix="$instdir"
-    make
+    $MAKE
 
     # Check that "make install" creates the expected .pot file, .po files
     # and .resources.dll files.
     # (They are created under $sourcedir, because the files are distributed.
     # Cf. the GNU standards, node "Makefile Basics".)
 
-    make install
+    $MAKE install
 
     test -f $sourcedir/posub/foo-bar.pot
     test $builddir = '.' || test ! -f posub/foo-bar.pot
-    cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C 
tr -d '\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -171,11 +170,11 @@ for builddir in . sub; do
 
     rm -f $sourcedir/posub/foo-bar.pot
 
-    make dist
+    $MAKE dist
 
     test -f $sourcedir/posub/foo-bar.pot
     test $builddir = '.' || test ! -f posub/foo-bar.pot
-    cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C 
tr -d '\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -191,33 +190,25 @@ for builddir in . sub; do
     # Check that the tarball contains posub/foo-bar-{de,fr}.{po,resources.dll}
     # but not the others, regardless whether LINGUAS was specified or not.
     gzip -d -c < pot-format-csharp1-1.0.tar.gz | tar tf - > filelist
-    grep '^pot-format-csharp1-1\.0/posub/foo-bar-de\.po$' filelist >/dev/null
-    grep '^pot-format-csharp1-1\.0/posub/de/foo-bar\.resources.dll$' filelist 
>/dev/null
-    grep '^pot-format-csharp1-1\.0/posub/address@hidden' filelist >/dev/null
-    grep '^pot-format-csharp1-1\.0/posub/fr-CA-Latn/foo-bar\.resources.dll$' 
filelist >/dev/null
-    if grep '^pot-format-csharp1-1\.0/posub/foo-bar-es\.po$' filelist 
>/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-format-csharp1-1\.0/posub/es/foo-bar\.resources.dll$' 
filelist >/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-format-csharp1-1\.0/posub/foo-bar-de\.mo$' filelist 
>/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-format-csharp1-1\.0/posub/address@hidden' filelist 
>/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-format-csharp1-1\.0/posub/foo-bar-es\.mo$' filelist 
>/dev/null; then
-      exit 1
-    fi
+    grep '^pot-format-csharp1-1\.0/posub/foo-bar-de\.po$' filelist
+    grep '^pot-format-csharp1-1\.0/posub/de/foo-bar\.resources.dll$' filelist
+    grep '^pot-format-csharp1-1\.0/posub/address@hidden' filelist
+    grep '^pot-format-csharp1-1\.0/posub/fr-CA-Latn/foo-bar\.resources.dll$' 
filelist
+    grep '^pot-format-csharp1-1\.0/posub/foo-bar-es\.po$' filelist && Exit 1
+    grep '^pot-format-csharp1-1\.0/posub/es/foo-bar\.resources\.dll$' filelist 
&& Exit 1
+    grep '^pot-format-csharp1-1\.0/posub/foo-bar-de\.mo$' filelist && Exit 1
+    grep '^pot-format-csharp1-1\.0/posub/address@hidden' filelist && Exit 1
+    grep '^pot-format-csharp1-1\.0/posub/foo-bar-es\.mo$' filelist && Exit 1
     rm -f filelist
 
     # Sanity check.
-    make distcheck
+    $MAKE distcheck
 
     # Clean up.
-    make distclean
+    $MAKE distclean
     rm -rf "$instdir"
     cd $sourcedir
   done
 done
+
+:
diff --git a/tests/pot-format-java1.test b/tests/pot-format-java1.test
index 6a9259b..e148d43 100755
--- a/tests/pot-format-java1.test
+++ b/tests/pot-format-java1.test
@@ -18,7 +18,6 @@
 # FIXME: Resource names with a dash maybe don't work. If so, it should be
 #        mentioned in the documentation.
 
-required='gzip'
 . ./defs || Exit 1
 
 set -e
@@ -126,18 +125,18 @@ for builddir in . sub; do
     instdir="`pwd`/instdir"
     cd $builddir
     env $config_options $sourcedir/configure --prefix="$instdir"
-    make
+    $MAKE
 
     # Check that "make install" creates the expected .pot file, .po files
     # and .properties files.
     # (They are created under $sourcedir, because the files are distributed.
     # Cf. the GNU standards, node "Makefile Basics".)
 
-    make install
+    $MAKE install
 
     test -f $sourcedir/posub/foo-bar.pot
     test $builddir = '.' || test ! -f posub/foo-bar.pot
-    cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C 
tr -d '\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -172,11 +171,11 @@ for builddir in . sub; do
 
     rm -f $sourcedir/posub/foo-bar.pot
 
-    make dist
+    $MAKE dist
 
     test -f $sourcedir/posub/foo-bar.pot
     test $builddir = '.' || test ! -f posub/foo-bar.pot
-    cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C 
tr -d '\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -192,33 +191,25 @@ for builddir in . sub; do
     # Check that the tarball contains posub/foo-bar-{de,fr}.{po,properties}
     # but not the others, regardless whether LINGUAS was specified or not.
     gzip -d -c < pot-format-java1-1.0.tar.gz | tar tf - > filelist
-    grep '^pot-format-java1-1\.0/posub/foo-bar-de\.po$' filelist >/dev/null
-    grep '^pot-format-java1-1\.0/posub/foo-bar_de\.properties$' filelist 
>/dev/null
-    grep '^pot-format-java1-1\.0/posub/foo-bar-fr\.po$' filelist >/dev/null
-    grep '^pot-format-java1-1\.0/posub/foo-bar_fr\.properties$' filelist 
>/dev/null
-    if grep '^pot-format-java1-1\.0/posub/foo-bar-es\.po$' filelist 
>/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-format-java1-1\.0/posub/foo-bar_es\.properties$' filelist 
>/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-format-java1-1\.0/posub/foo-bar-de\.mo$' filelist 
>/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-format-java1-1\.0/posub/foo-bar-fr\.mo$' filelist 
>/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-format-java1-1\.0/posub/foo-bar-es\.mo$' filelist 
>/dev/null; then
-      exit 1
-    fi
+    grep '^pot-format-java1-1\.0/posub/foo-bar-de\.po$' filelist
+    grep '^pot-format-java1-1\.0/posub/foo-bar_de\.properties$' filelist
+    grep '^pot-format-java1-1\.0/posub/foo-bar-fr\.po$' filelist
+    grep '^pot-format-java1-1\.0/posub/foo-bar_fr\.properties$' filelist
+    grep '^pot-format-java1-1\.0/posub/foo-bar-es\.po$' filelist && Exit 1
+    grep '^pot-format-java1-1\.0/posub/foo-bar_es\.properties$' filelist && 
Exit 1
+    grep '^pot-format-java1-1\.0/posub/foo-bar-de\.mo$' filelist && Exit 1
+    grep '^pot-format-java1-1\.0/posub/foo-bar-fr\.mo$' filelist && Exit 1
+    grep '^pot-format-java1-1\.0/posub/foo-bar-es\.mo$' filelist && Exit 1
     rm -f filelist
 
     # Sanity check.
-    make distcheck
+    $MAKE distcheck
 
     # Clean up.
-    make distclean
+    $MAKE distclean
     rm -rf "$instdir"
     cd $sourcedir
   done
 done
+
+:
diff --git a/tests/pot-format-java2.test b/tests/pot-format-java2.test
index e05d08c..ef60cf7 100755
--- a/tests/pot-format-java2.test
+++ b/tests/pot-format-java2.test
@@ -18,7 +18,6 @@
 # FIXME: Class names with a dash probably don't work. If so, it should be
 #        mentioned in the documentation.
 
-required='gzip'
 . ./defs || Exit 1
 
 set -e
@@ -126,18 +125,18 @@ for builddir in . sub; do
     instdir="`pwd`/instdir"
     cd $builddir
     env $config_options $sourcedir/configure --prefix="$instdir"
-    make
+    $MAKE
 
     # Check that "make install" creates the expected .pot file, .po files
     # and .class files.
     # (They are created under $sourcedir, because the files are distributed.
     # Cf. the GNU standards, node "Makefile Basics".)
 
-    make install
+    $MAKE install
 
     test -f $sourcedir/posub/foo-bar.pot
     test $builddir = '.' || test ! -f posub/foo-bar.pot
-    cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C 
tr -d '\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -172,11 +171,11 @@ for builddir in . sub; do
 
     rm -f $sourcedir/posub/foo-bar.pot
 
-    make dist
+    $MAKE dist
 
     test -f $sourcedir/posub/foo-bar.pot
     test $builddir = '.' || test ! -f posub/foo-bar.pot
-    cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C 
tr -d '\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -192,33 +191,25 @@ for builddir in . sub; do
     # Check that the tarball contains posub/foo-bar-{de,fr}.{po,class} but not
     # the others, regardless whether LINGUAS was specified or not.
     gzip -d -c < pot-format-java2-1.0.tar.gz | tar tf - > filelist
-    grep '^pot-format-java2-1\.0/posub/foo-bar-de\.po$' filelist >/dev/null
-    grep '^pot-format-java2-1\.0/posub/foo-bar_de\.class$' filelist >/dev/null
-    grep '^pot-format-java2-1\.0/posub/foo-bar-fr\.po$' filelist >/dev/null
-    grep '^pot-format-java2-1\.0/posub/foo-bar_fr\.class$' filelist >/dev/null
-    if grep '^pot-format-java2-1\.0/posub/foo-bar-es\.po$' filelist 
>/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-format-java2-1\.0/posub/foo-bar_es\.class$' filelist 
>/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-format-java2-1\.0/posub/foo-bar-de\.mo$' filelist 
>/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-format-java2-1\.0/posub/foo-bar-fr\.mo$' filelist 
>/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-format-java2-1\.0/posub/foo-bar-es\.mo$' filelist 
>/dev/null; then
-      exit 1
-    fi
+    grep '^pot-format-java2-1\.0/posub/foo-bar-de\.po$' filelist
+    grep '^pot-format-java2-1\.0/posub/foo-bar_de\.class$' filelist
+    grep '^pot-format-java2-1\.0/posub/foo-bar-fr\.po$' filelist
+    grep '^pot-format-java2-1\.0/posub/foo-bar_fr\.class$' filelist
+    grep '^pot-format-java2-1\.0/posub/foo-bar-es\.po$' filelist && Exit 1
+    grep '^pot-format-java2-1\.0/posub/foo-bar_es\.class$' filelist && Exit 1
+    grep '^pot-format-java2-1\.0/posub/foo-bar-de\.mo$' filelist && Exit 1
+    grep '^pot-format-java2-1\.0/posub/foo-bar-fr\.mo$' filelist && Exit 1
+    grep '^pot-format-java2-1\.0/posub/foo-bar-es\.mo$' filelist && Exit 1
     rm -f filelist
 
     # Sanity check.
-    make distcheck
+    $MAKE distcheck
 
     # Clean up.
-    make distclean
+    $MAKE distclean
     rm -rf "$instdir"
     cd $sourcedir
   done
 done
+
+:
diff --git a/tests/pot-format-qt1.test b/tests/pot-format-qt1.test
index 797a347..ca6da0b 100755
--- a/tests/pot-format-qt1.test
+++ b/tests/pot-format-qt1.test
@@ -150,18 +150,18 @@ for builddir in . sub; do
     instdir="`pwd`/instdir"
     cd $builddir
     env $config_options $sourcedir/configure --prefix="$instdir"
-    make
+    $MAKE
 
     # Check that "make install" creates the expected .pot file, .po files
     # and .qm files.
     # (They are created under $sourcedir, because the files are distributed.
     # Cf. the GNU standards, node "Makefile Basics".)
 
-    make install
+    $MAKE install
 
     test -f $sourcedir/posub/foo-bar.pot
     test $builddir = '.' || test ! -f posub/foo-bar.pot
-    cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C 
tr -d '\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -194,11 +194,11 @@ for builddir in . sub; do
 
     rm -f $sourcedir/posub/foo-bar.pot
 
-    make dist
+    $MAKE dist
 
     test -f $sourcedir/posub/foo-bar.pot
     test $builddir = '.' || test ! -f posub/foo-bar.pot
-    cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C 
tr -d '\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -212,33 +212,25 @@ for builddir in . sub; do
     # Check that the tarball contains posub/foo-bar-{de,fr}.{po,qm} but not
     # the others, regardless whether LINGUAS was specified or not.
     gzip -d -c < pot-format-qt1-1.0.tar.gz | tar tf - > filelist
-    grep '^pot-format-qt1-1\.0/posub/foo-bar-de\.po$' filelist >/dev/null
-    grep '^pot-format-qt1-1\.0/posub/foo-bar-de\.qm$' filelist >/dev/null
-    grep '^pot-format-qt1-1\.0/posub/foo-bar-fr\.po$' filelist >/dev/null
-    grep '^pot-format-qt1-1\.0/posub/foo-bar-fr\.qm$' filelist >/dev/null
-    if grep '^pot-format-qt1-1\.0/posub/foo-bar-es\.po$' filelist >/dev/null; 
then
-      exit 1
-    fi
-    if grep '^pot-format-qt1-1\.0/posub/foo-bar-es\.qm$' filelist >/dev/null; 
then
-      exit 1
-    fi
-    if grep '^pot-format-qt1-1\.0/posub/foo-bar-de\.mo$' filelist >/dev/null; 
then
-      exit 1
-    fi
-    if grep '^pot-format-qt1-1\.0/posub/foo-bar-fr\.mo$' filelist >/dev/null; 
then
-      exit 1
-    fi
-    if grep '^pot-format-qt1-1\.0/posub/foo-bar-es\.mo$' filelist >/dev/null; 
then
-      exit 1
-    fi
+    grep '^pot-format-qt1-1\.0/posub/foo-bar-de\.po$' filelist
+    grep '^pot-format-qt1-1\.0/posub/foo-bar-de\.qm$' filelist
+    grep '^pot-format-qt1-1\.0/posub/foo-bar-fr\.po$' filelist
+    grep '^pot-format-qt1-1\.0/posub/foo-bar-fr\.qm$' filelist
+    grep '^pot-format-qt1-1\.0/posub/foo-bar-es\.po$' filelist && Exit 1
+    grep '^pot-format-qt1-1\.0/posub/foo-bar-es\.qm$' filelist && Exit 1
+    grep '^pot-format-qt1-1\.0/posub/foo-bar-de\.mo$' filelist && Exit 1
+    grep '^pot-format-qt1-1\.0/posub/foo-bar-fr\.mo$' filelist && Exit 1
+    grep '^pot-format-qt1-1\.0/posub/foo-bar-es\.mo$' filelist && Exit 1
     rm -f filelist
 
     # Sanity check.
-    make distcheck
+    $MAKE distcheck
 
     # Clean up.
-    make distclean
+    $MAKE distclean
     rm -rf "$instdir"
     cd $sourcedir
   done
 done
+
+:
diff --git a/tests/pot-format-tcl1.test b/tests/pot-format-tcl1.test
index 109245e..284b1ce 100755
--- a/tests/pot-format-tcl1.test
+++ b/tests/pot-format-tcl1.test
@@ -16,7 +16,6 @@
 
 # Check the creation of compiled message catalogs in Tcl format.
 
-required='gzip'
 . ./defs || Exit 1
 
 set -e
@@ -121,18 +120,18 @@ for builddir in . sub; do
     instdir="`pwd`/instdir"
     cd $builddir
     env $config_options $sourcedir/configure --prefix="$instdir"
-    make
+    $MAKE
 
     # Check that "make install" creates the expected .pot file, .po files
     # and .msg files.
     # (They are created under $sourcedir, because the files are distributed.
     # Cf. the GNU standards, node "Makefile Basics".)
 
-    make install
+    $MAKE install
 
     test -f $sourcedir/posub/foo-bar.pot
     test $builddir = '.' || test ! -f posub/foo-bar.pot
-    cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C 
tr -d '\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -167,11 +166,11 @@ for builddir in . sub; do
 
     rm -f $sourcedir/posub/foo-bar.pot
 
-    make dist
+    $MAKE dist
 
     test -f $sourcedir/posub/foo-bar.pot
     test $builddir = '.' || test ! -f posub/foo-bar.pot
-    cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C 
tr -d '\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -187,33 +186,25 @@ for builddir in . sub; do
     # Check that the tarball contains posub/foo-bar-{de,fr}.{po,msg} but not
     # the others, regardless whether LINGUAS was specified or not.
     gzip -d -c < pot-format-tcl1-1.0.tar.gz | tar tf - > filelist
-    grep '^pot-format-tcl1-1\.0/posub/foo-bar-de\.po$' filelist >/dev/null
-    grep '^pot-format-tcl1-1\.0/posub/foo-bar/de\.msg$' filelist >/dev/null
-    grep '^pot-format-tcl1-1\.0/posub/foo-bar-fr_CA\.po$' filelist >/dev/null
-    grep '^pot-format-tcl1-1\.0/posub/foo-bar/fr_ca\.msg$' filelist >/dev/null
-    if grep '^pot-format-tcl1-1\.0/posub/foo-bar-es\.po$' filelist >/dev/null; 
then
-      exit 1
-    fi
-    if grep '^pot-format-tcl1-1\.0/posub/foo-bar/es\.msg$' filelist 
>/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-format-tcl1-1\.0/posub/foo-bar-de\.mo$' filelist >/dev/null; 
then
-      exit 1
-    fi
-    if grep '^pot-format-tcl1-1\.0/posub/foo-bar-fr_CA\.mo$' filelist 
>/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-format-tcl1-1\.0/posub/foo-bar-es\.mo$' filelist >/dev/null; 
then
-      exit 1
-    fi
+    grep '^pot-format-tcl1-1\.0/posub/foo-bar-de\.po$' filelist
+    grep '^pot-format-tcl1-1\.0/posub/foo-bar/de\.msg$' filelist
+    grep '^pot-format-tcl1-1\.0/posub/foo-bar-fr_CA\.po$' filelist
+    grep '^pot-format-tcl1-1\.0/posub/foo-bar/fr_ca\.msg$' filelist
+    grep '^pot-format-tcl1-1\.0/posub/foo-bar-es\.po$' filelist && Exit 1
+    grep '^pot-format-tcl1-1\.0/posub/foo-bar/es\.msg$' filelist && Exit 1
+    grep '^pot-format-tcl1-1\.0/posub/foo-bar-de\.mo$' filelist && Exit 1
+    grep '^pot-format-tcl1-1\.0/posub/foo-bar-fr_CA\.mo$' filelist && Exit 1
+    grep '^pot-format-tcl1-1\.0/posub/foo-bar-es\.mo$' filelist && Exit 1
     rm -f filelist
 
     # Sanity check.
-    make distcheck
+    $MAKE distcheck
 
     # Clean up.
-    make distclean
+    $MAKE distclean
     rm -rf "$instdir"
     cd $sourcedir
   done
 done
+
+:
diff --git a/tests/pot-linguas.test b/tests/pot-linguas.test
index 428152b..7f7f42f 100755
--- a/tests/pot-linguas.test
+++ b/tests/pot-linguas.test
@@ -22,7 +22,6 @@
 # FIXME: Should "make install" really update the PO files and MO files?
 #        Current po/Makefile.in.in does not do it.
 
-required='gzip'
 . ./defs || Exit 1
 
 set -e
@@ -132,7 +131,7 @@ for builddir in . sub; do
     instdir="`pwd`/instdir"
     cd $builddir
     env $config_options $sourcedir/configure --prefix="$instdir"
-    make
+    $MAKE
 
     cat > $sourcedir/src/main.c << 'END'
 #include <stdio.h>
@@ -148,11 +147,11 @@ END
     # (They are created under $sourcedir, because the files are distributed.
     # Cf. the GNU standards, node "Makefile Basics".)
 
-    make install
+    $MAKE install
 
     test -f $sourcedir/posub/foo-bar.pot
     test $builddir = '.' || test ! -f posub/foo-bar.pot
-    cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C 
tr -d '\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -177,11 +176,11 @@ END
 
     rm -f $sourcedir/posub/foo-bar.pot
 
-    make dist
+    $MAKE dist
 
     test -f $sourcedir/posub/foo-bar.pot
     test $builddir = '.' || test ! -f posub/foo-bar.pot
-    cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C 
tr -d '\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -193,16 +192,12 @@ END
     # Check that the tarball contains posub/foo-bar-{de,fr}.{po,mo} but not
     # the others, regardless whether LINGUAS was specified or not.
     gzip -d -c < pot-linguas-1.0.tar.gz | tar tf - > filelist
-    grep '^pot-linguas-1\.0/posub/foo-bar-de\.po$' filelist >/dev/null
-    grep '^pot-linguas-1\.0/posub/foo-bar-de\.mo$' filelist >/dev/null
-    grep '^pot-linguas-1\.0/posub/foo-bar-fr\.po$' filelist >/dev/null
-    grep '^pot-linguas-1\.0/posub/foo-bar-fr\.mo$' filelist >/dev/null
-    if grep '^pot-linguas-1\.0/posub/foo-bar-es\.po$' filelist >/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-linguas-1\.0/posub/foo-bar-es\.mo$' filelist >/dev/null; then
-      exit 1
-    fi
+    grep '^pot-linguas-1\.0/posub/foo-bar-de\.po$' filelist
+    grep '^pot-linguas-1\.0/posub/foo-bar-de\.mo$' filelist
+    grep '^pot-linguas-1\.0/posub/foo-bar-fr\.po$' filelist
+    grep '^pot-linguas-1\.0/posub/foo-bar-fr\.mo$' filelist
+    grep '^pot-linguas-1\.0/posub/foo-bar-es\.po$' filelist && Exit 1
+    grep '^pot-linguas-1\.0/posub/foo-bar-es\.mo$' filelist && Exit 1
     rm -f filelist
 
     # Try modifying a source file.
@@ -224,30 +219,26 @@ END
     cp -p $sourcedir/posub/foo-bar-fr.mo $sourcedir/posub/foo-bar-fr.mobak
     cp -p $sourcedir/posub/foo-bar-es.po $sourcedir/posub/foo-bar-es.pobak
     cp -p $sourcedir/posub/foo-bar-es.mo $sourcedir/posub/foo-bar-es.mobak
-    make
+    $MAKE
     diff $sourcedir/posub/foo-bar.potbak $sourcedir/posub/foo-bar.pot
-    cmp $sourcedir/posub/foo-bar-de.pobak $sourcedir/posub/foo-bar-de.po 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-de.mobak $sourcedir/posub/foo-bar-de.mo 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-fr.pobak $sourcedir/posub/foo-bar-fr.po 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-fr.mobak $sourcedir/posub/foo-bar-fr.mo 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-es.pobak $sourcedir/posub/foo-bar-es.po 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-es.mobak $sourcedir/posub/foo-bar-es.mo 
>/dev/null
+    cmp $sourcedir/posub/foo-bar-de.pobak $sourcedir/posub/foo-bar-de.po
+    cmp $sourcedir/posub/foo-bar-de.mobak $sourcedir/posub/foo-bar-de.mo
+    cmp $sourcedir/posub/foo-bar-fr.pobak $sourcedir/posub/foo-bar-fr.po
+    cmp $sourcedir/posub/foo-bar-fr.mobak $sourcedir/posub/foo-bar-fr.mo
+    cmp $sourcedir/posub/foo-bar-es.pobak $sourcedir/posub/foo-bar-es.po
+    cmp $sourcedir/posub/foo-bar-es.mobak $sourcedir/posub/foo-bar-es.mo
 
     # Check that "make install" updates the POT file, the PO files, and the
     # MO files listed in the _LINGUAS variable, regardless whether LINGUAS
     # was specified or not.
-    make install
-    cat $sourcedir/posub/foo-bar.pot | grep great >/dev/null
-    cat $sourcedir/posub/foo-bar-de.po | grep great >/dev/null
-    if cmp $sourcedir/posub/foo-bar-de.mobak $sourcedir/posub/foo-bar-de.mo 
>/dev/null; then
-      exit 1
-    fi
-    cat $sourcedir/posub/foo-bar-fr.po | grep great >/dev/null
-    if cmp $sourcedir/posub/foo-bar-fr.mobak $sourcedir/posub/foo-bar-fr.mo 
>/dev/null; then
-      exit 1
-    fi
-    cmp $sourcedir/posub/foo-bar-es.pobak $sourcedir/posub/foo-bar-es.po 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-es.mobak $sourcedir/posub/foo-bar-es.mo 
>/dev/null
+    $MAKE install
+    grep great $sourcedir/posub/foo-bar.pot
+    grep great $sourcedir/posub/foo-bar-de.po
+    grep great $sourcedir/posub/foo-bar-fr.po
+    cmp $sourcedir/posub/foo-bar-de.mobak $sourcedir/posub/foo-bar-de.mo && 
Exit 1
+    cmp $sourcedir/posub/foo-bar-fr.mobak $sourcedir/posub/foo-bar-fr.mo && 
Exit 1
+    cmp $sourcedir/posub/foo-bar-es.pobak $sourcedir/posub/foo-bar-es.po
+    cmp $sourcedir/posub/foo-bar-es.mobak $sourcedir/posub/foo-bar-es.mo
 
     # Check that "make dist" updates the POT file, the PO files, and the
     # MO files listed in the _LINGUAS variable, regardless whether LINGUAS
@@ -257,30 +248,28 @@ END
     cp -p $sourcedir/posub/foo-bar-de.mobak $sourcedir/posub/foo-bar-de.mo
     cp -p $sourcedir/posub/foo-bar-fr.pobak $sourcedir/posub/foo-bar-fr.po
     cp -p $sourcedir/posub/foo-bar-fr.mobak $sourcedir/posub/foo-bar-fr.mo
-    make dist
-    cat $sourcedir/posub/foo-bar.pot | grep great >/dev/null
-    cat $sourcedir/posub/foo-bar-de.po | grep great >/dev/null
-    if cmp $sourcedir/posub/foo-bar-de.mobak $sourcedir/posub/foo-bar-de.mo 
>/dev/null; then
-      exit 1
-    fi
-    cat $sourcedir/posub/foo-bar-fr.po | grep great >/dev/null
-    if cmp $sourcedir/posub/foo-bar-fr.mobak $sourcedir/posub/foo-bar-fr.mo 
>/dev/null; then
-      exit 1
-    fi
-    cmp $sourcedir/posub/foo-bar-es.pobak $sourcedir/posub/foo-bar-es.po 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-es.mobak $sourcedir/posub/foo-bar-es.mo 
>/dev/null
+    $MAKE dist
+    grep great $sourcedir/posub/foo-bar.pot
+    grep great $sourcedir/posub/foo-bar-de.po
+    cmp $sourcedir/posub/foo-bar-de.mobak $sourcedir/posub/foo-bar-de.mo && 
Exit 1
+    grep great $sourcedir/posub/foo-bar-fr.po
+    cmp $sourcedir/posub/foo-bar-fr.mobak $sourcedir/posub/foo-bar-fr.mo && 
Exit 1
+    cmp $sourcedir/posub/foo-bar-es.pobak $sourcedir/posub/foo-bar-es.po
+    cmp $sourcedir/posub/foo-bar-es.mobak $sourcedir/posub/foo-bar-es.mo
 
     # Check that the updated PO files contain 'previous msgid' fields.
-    cat $sourcedir/posub/foo-bar-de.po | grep '^#| msgid "Hello, world\.\\n"$' 
>/dev/null
-    cat $sourcedir/posub/foo-bar-fr.po | grep '^#| msgid "Hello, world\.\\n"$' 
>/dev/null
+    grep '^#| msgid "Hello, world\.\\n"$' $sourcedir/posub/foo-bar-de.po
+    grep '^#| msgid "Hello, world\.\\n"$' $sourcedir/posub/foo-bar-fr.po
 
     # Sanity check.
-    make distcheck
+    $MAKE distcheck
 
     # Clean up.
-    rm -f $sourcedir/posub/foo-bar.potbak $sourcedir/posub/*.pobak 
$sourcedir/posub/*.mobak
-    make distclean
+    rm -f $sourcedir/posub/foo-bar.potbak $sourcedir/posub/*.[mp]obak
+    $MAKE distclean
     rm -rf "$instdir"
     cd $sourcedir
   done
 done
+
+:
diff --git a/tests/pot-macro-warn.test b/tests/pot-macro-warn.test
index 41fb35f..caecab4 100755
--- a/tests/pot-macro-warn.test
+++ b/tests/pot-macro-warn.test
@@ -50,5 +50,6 @@ END
 $ACLOCAL
 
 # Check that there is no warning any more.
+$AUTOMAKE -Werror
 
-AUTOMAKE_run 0 -Werror
+:
diff --git a/tests/pot-msgidbugs.test b/tests/pot-msgidbugs.test
index 1bf5334..3b3b954 100755
--- a/tests/pot-msgidbugs.test
+++ b/tests/pot-msgidbugs.test
@@ -85,13 +85,13 @@ for builddir in . sub1; do
   instdir="`pwd`/instdir"
   cd $builddir
   $sourcedir/configure --prefix="$instdir"
-  make
+  $MAKE
 
   # Check that "make dist" creates the expected .pot file.
   # (It is created under $sourcedir, because the .pot file is distributed.
   # Cf. the GNU standards, node "Makefile Basics".)
 
-  make dist
+  $MAKE dist
 
   test -f $sourcedir/posub/foo-bar.pot
   test $builddir = '.' || test ! -f posub/foo-bar.pot
@@ -100,10 +100,10 @@ for builddir in . sub1; do
   rm -f actual
 
   # Sanity check.
-  make distcheck
+  $MAKE distcheck
 
   # Clean up.
-  make distclean
+  $MAKE distclean
   rm -rf "$instdir"
   cd $sourcedir
 done
@@ -148,25 +148,27 @@ for builddir in . sub2; do
   instdir="`pwd`/instdir"
   cd $builddir
   $sourcedir/configure --prefix="$instdir"
-  make
+  $MAKE
 
   # Check that "make dist" creates the expected .pot file.
   # (It is created under $sourcedir, because the .pot file is distributed.
   # Cf. the GNU standards, node "Makefile Basics".)
 
-  make dist
+  $MAKE dist
 
   test -f $sourcedir/posub/foo-bar.pot
   test $builddir = '.' || test ! -f posub/foo-bar.pot
-  cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C tr 
-d '\r' > actual
+  grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
   diff actual $sourcedir/expected
   rm -f actual
 
   # Sanity check.
-  make distcheck
+  $MAKE distcheck
 
   # Clean up.
-  make distclean
+  $MAKE distclean
   rm -rf "$instdir"
   cd $sourcedir
 done
+
+:
diff --git a/tests/pot-no-linguas.test b/tests/pot-no-linguas.test
index f64588a..86039d8 100755
--- a/tests/pot-no-linguas.test
+++ b/tests/pot-no-linguas.test
@@ -102,7 +102,7 @@ for builddir in . sub; do
   instdir="`pwd`/instdir"
   cd $builddir
   $sourcedir/configure --prefix="$instdir"
-  make
+  $MAKE
 
   cat > $sourcedir/src/main.c << 'END'
 #include <stdio.h>
@@ -117,11 +117,11 @@ END
   # (It is created under $sourcedir, because the .pot file is distributed.
   # Cf. the GNU standards, node "Makefile Basics".)
 
-  make dist
+  $MAKE dist
 
   test -f $sourcedir/posub/foo-bar.pot
   test $builddir = '.' || test ! -f posub/foo-bar.pot
-  cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C tr 
-d '\r' > actual
+  grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
   diff actual $sourcedir/expected
   rm -f actual
 
@@ -129,11 +129,11 @@ END
 
   # Check that "make install" creates the expected .pot file.
 
-  make install
+  $MAKE install
 
   test -f $sourcedir/posub/foo-bar.pot
   test $builddir = '.' || test ! -f posub/foo-bar.pot
-  cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C tr 
-d '\r' > actual
+  grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
   diff actual $sourcedir/expected
   rm -f actual
 
@@ -153,24 +153,26 @@ END
 
   # Check that "make" does not rebuild the POT file.
   cp -p $sourcedir/posub/foo-bar.pot $sourcedir/posub/foo-bar.potbak
-  make
+  $MAKE
   diff $sourcedir/posub/foo-bar.potbak $sourcedir/posub/foo-bar.pot
 
   # Check that "make dist" updates the POT file.
-  make dist
-  cat $sourcedir/posub/foo-bar.pot | grep great >/dev/null
+  $MAKE dist
+  grep great $sourcedir/posub/foo-bar.pot
 
   # Check that "make install" updates the POT file.
   cp -p $sourcedir/posub/foo-bar.potbak $sourcedir/posub/foo-bar.pot
-  make install
-  cat $sourcedir/posub/foo-bar.pot | grep great >/dev/null
+  $MAKE install
+  grep great $sourcedir/posub/foo-bar.pot
 
   # Sanity check.
-  make distcheck
+  $MAKE distcheck
 
   # Clean up.
   rm -f $sourcedir/posub/foo-bar.potbak
-  make distclean
+  $MAKE distclean
   rm -rf "$instdir"
   cd $sourcedir
 done
+
+:
diff --git a/tests/pot-noinst.test b/tests/pot-noinst.test
index 9c1c922..7dfa2a9 100755
--- a/tests/pot-noinst.test
+++ b/tests/pot-noinst.test
@@ -19,7 +19,6 @@
 # configure time has no effect. Otherwise, everything is the same as in the
 # pot-linguas test.
 
-required='gzip'
 . ./defs || Exit 1
 
 set -e
@@ -129,7 +128,7 @@ for builddir in . sub; do
     instdir="`pwd`/instdir"
     cd $builddir
     env $config_options $sourcedir/configure --prefix="$instdir"
-    make
+    $MAKE
 
     cat > $sourcedir/src/main.c << 'END'
 #include <stdio.h>
@@ -143,7 +142,7 @@ END
     # Check that "make install" does not create the .pot file and .mo files.
     # (They are not needed for installation.)
 
-    make install
+    $MAKE install
 
     test ! -f $sourcedir/posub/foo-bar.pot
     test ! -f $sourcedir/posub/foo-bar-de.mo
@@ -159,11 +158,11 @@ END
     # (They are created under $sourcedir, because the files are distributed.
     # Cf. the GNU standards, node "Makefile Basics".)
 
-    make dist
+    $MAKE dist
 
     test -f $sourcedir/posub/foo-bar.pot
     test $builddir = '.' || test ! -f posub/foo-bar.pot
-    cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C 
tr -d '\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -175,16 +174,12 @@ END
     # Check that the tarball contains posub/foo-bar-{de,fr}.{po,mo} but not
     # the others, regardless whether LINGUAS was specified or not.
     gzip -d -c < pot-noinst-1.0.tar.gz | tar tf - > filelist
-    grep '^pot-noinst-1\.0/posub/foo-bar-de\.po$' filelist >/dev/null
-    grep '^pot-noinst-1\.0/posub/foo-bar-de\.mo$' filelist >/dev/null
-    grep '^pot-noinst-1\.0/posub/foo-bar-fr\.po$' filelist >/dev/null
-    grep '^pot-noinst-1\.0/posub/foo-bar-fr\.mo$' filelist >/dev/null
-    if grep '^pot-noinst-1\.0/posub/foo-bar-es\.po$' filelist >/dev/null; then
-      exit 1
-    fi
-    if grep '^pot-noinst-1\.0/posub/foo-bar-es\.mo$' filelist >/dev/null; then
-      exit 1
-    fi
+    grep '^pot-noinst-1\.0/posub/foo-bar-de\.po$' filelist
+    grep '^pot-noinst-1\.0/posub/foo-bar-de\.mo$' filelist
+    grep '^pot-noinst-1\.0/posub/foo-bar-fr\.po$' filelist
+    grep '^pot-noinst-1\.0/posub/foo-bar-fr\.mo$' filelist
+    grep '^pot-noinst-1\.0/posub/foo-bar-es\.po$' filelist && Exit 1
+    grep '^pot-noinst-1\.0/posub/foo-bar-es\.mo$' filelist && Exit 1
     rm -f filelist
 
     # Try modifying a source file.
@@ -206,53 +201,51 @@ END
     cp -p $sourcedir/posub/foo-bar-fr.mo $sourcedir/posub/foo-bar-fr.mobak
     cp -p $sourcedir/posub/foo-bar-es.po $sourcedir/posub/foo-bar-es.pobak
     cp -p $sourcedir/posub/foo-bar-es.mo $sourcedir/posub/foo-bar-es.mobak
-    make
+    $MAKE
     diff $sourcedir/posub/foo-bar.potbak $sourcedir/posub/foo-bar.pot
-    cmp $sourcedir/posub/foo-bar-de.pobak $sourcedir/posub/foo-bar-de.po 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-de.mobak $sourcedir/posub/foo-bar-de.mo 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-fr.pobak $sourcedir/posub/foo-bar-fr.po 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-fr.mobak $sourcedir/posub/foo-bar-fr.mo 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-es.pobak $sourcedir/posub/foo-bar-es.po 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-es.mobak $sourcedir/posub/foo-bar-es.mo 
>/dev/null
+    cmp $sourcedir/posub/foo-bar-de.pobak $sourcedir/posub/foo-bar-de.po
+    cmp $sourcedir/posub/foo-bar-de.mobak $sourcedir/posub/foo-bar-de.mo
+    cmp $sourcedir/posub/foo-bar-fr.pobak $sourcedir/posub/foo-bar-fr.po
+    cmp $sourcedir/posub/foo-bar-fr.mobak $sourcedir/posub/foo-bar-fr.mo
+    cmp $sourcedir/posub/foo-bar-es.pobak $sourcedir/posub/foo-bar-es.po
+    cmp $sourcedir/posub/foo-bar-es.mobak $sourcedir/posub/foo-bar-es.mo
 
     # Check that "make install" does not update the POT file, the PO files,
     # and the MO files.
-    make install
+    $MAKE install
     diff $sourcedir/posub/foo-bar.potbak $sourcedir/posub/foo-bar.pot
-    cmp $sourcedir/posub/foo-bar-de.pobak $sourcedir/posub/foo-bar-de.po 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-de.mobak $sourcedir/posub/foo-bar-de.mo 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-fr.pobak $sourcedir/posub/foo-bar-fr.po 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-fr.mobak $sourcedir/posub/foo-bar-fr.mo 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-es.pobak $sourcedir/posub/foo-bar-es.po 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-es.mobak $sourcedir/posub/foo-bar-es.mo 
>/dev/null
+    cmp $sourcedir/posub/foo-bar-de.pobak $sourcedir/posub/foo-bar-de.po
+    cmp $sourcedir/posub/foo-bar-de.mobak $sourcedir/posub/foo-bar-de.mo
+    cmp $sourcedir/posub/foo-bar-fr.pobak $sourcedir/posub/foo-bar-fr.po
+    cmp $sourcedir/posub/foo-bar-fr.mobak $sourcedir/posub/foo-bar-fr.mo
+    cmp $sourcedir/posub/foo-bar-es.pobak $sourcedir/posub/foo-bar-es.po
+    cmp $sourcedir/posub/foo-bar-es.mobak $sourcedir/posub/foo-bar-es.mo
 
     # Check that "make dist" updates the POT file, the PO files, and the
     # MO files listed in the _LINGUAS variable, regardless whether LINGUAS
     # was specified or not.
-    make dist
-    cat $sourcedir/posub/foo-bar.pot | grep great >/dev/null
-    cat $sourcedir/posub/foo-bar-de.po | grep great >/dev/null
-    if cmp $sourcedir/posub/foo-bar-de.mobak $sourcedir/posub/foo-bar-de.mo 
>/dev/null; then
-      exit 1
-    fi
-    cat $sourcedir/posub/foo-bar-fr.po | grep great >/dev/null
-    if cmp $sourcedir/posub/foo-bar-fr.mobak $sourcedir/posub/foo-bar-fr.mo 
>/dev/null; then
-      exit 1
-    fi
-    cmp $sourcedir/posub/foo-bar-es.pobak $sourcedir/posub/foo-bar-es.po 
>/dev/null
-    cmp $sourcedir/posub/foo-bar-es.mobak $sourcedir/posub/foo-bar-es.mo 
>/dev/null
+    $MAKE dist
+    grep great $sourcedir/posub/foo-bar.pot
+    grep great $sourcedir/posub/foo-bar-de.po
+    grep great $sourcedir/posub/foo-bar-fr.po
+    cmp $sourcedir/posub/foo-bar-de.mobak $sourcedir/posub/foo-bar-de.mo && 
Exit 1
+    cmp $sourcedir/posub/foo-bar-fr.mobak $sourcedir/posub/foo-bar-fr.mo && 
Exit 1
+    cmp $sourcedir/posub/foo-bar-es.pobak $sourcedir/posub/foo-bar-es.po
+    cmp $sourcedir/posub/foo-bar-es.mobak $sourcedir/posub/foo-bar-es.mo
 
     # Check that the updated PO files contain 'previous msgid' fields.
-    cat $sourcedir/posub/foo-bar-de.po | grep '^#| msgid "Hello, world\.\\n"$' 
>/dev/null
-    cat $sourcedir/posub/foo-bar-fr.po | grep '^#| msgid "Hello, world\.\\n"$' 
>/dev/null
+    grep '^#| msgid "Hello, world\.\\n"$' $sourcedir/posub/foo-bar-de.po
+    grep '^#| msgid "Hello, world\.\\n"$' $sourcedir/posub/foo-bar-fr.po
 
     # Sanity check.
-    make distcheck
+    $MAKE distcheck
 
     # Clean up.
-    rm -f $sourcedir/posub/foo-bar.potbak $sourcedir/posub/*.pobak 
$sourcedir/posub/*.mobak
-    make distclean
+    rm -f $sourcedir/posub/foo-bar.potbak $sourcedir/posub/*.[mp]obak
+    $MAKE distclean
     rm -rf "$instdir"
     cd $sourcedir
   done
 done
+
+:
diff --git a/tests/pot-override1.test b/tests/pot-override1.test
index 6389f54..bf51b88 100755
--- a/tests/pot-override1.test
+++ b/tests/pot-override1.test
@@ -79,7 +79,7 @@ for builddir in . sub; do
   instdir="`pwd`/instdir"
   cd $builddir
   $sourcedir/configure --prefix="$instdir"
-  make
+  $MAKE
 
   cat > $sourcedir/src/main.c << 'END'
 #include <stdio.h>
@@ -94,7 +94,7 @@ END
   # (It is created under $sourcedir, because the .pot file is distributed.
   # Cf. the GNU standards, node "Makefile Basics".)
 
-  make dist
+  $MAKE dist
 
   test -f $sourcedir/posub/foo-bar.pot
   test $builddir = '.' || test ! -f posub/foo-bar.pot
@@ -104,7 +104,7 @@ END
 
   # Check that "make install" creates the expected .pot file.
 
-  make install
+  $MAKE install
 
   test -f $sourcedir/posub/foo-bar.pot
   test $builddir = '.' || test ! -f posub/foo-bar.pot
@@ -122,24 +122,26 @@ END
 
   # Check that "make" does not rebuild the POT file.
   cp -p $sourcedir/posub/foo-bar.pot $sourcedir/posub/foo-bar.potbak
-  make
+  $MAKE
   diff $sourcedir/posub/foo-bar.potbak $sourcedir/posub/foo-bar.pot
 
   # Check that "make dist" updates the POT file.
-  make dist
-  cat $sourcedir/posub/foo-bar.pot | grep great >/dev/null
+  $MAKE dist
+  grep great $sourcedir/posub/foo-bar.pot
 
   # Check that "make install" updates the POT file.
   cp -p $sourcedir/posub/foo-bar.potbak $sourcedir/posub/foo-bar.pot
-  make install
-  cat $sourcedir/posub/foo-bar.pot | grep great >/dev/null
+  $MAKE install
+  grep great $sourcedir/posub/foo-bar.pot
 
   # Sanity check.
-  make distcheck
+  $MAKE distcheck
 
   # Clean up.
   rm -f $sourcedir/posub/foo-bar.potbak
-  make distclean
+  $MAKE distclean
   rm -rf "$instdir"
   cd $sourcedir
 done
+
+:
diff --git a/tests/pot-samedir.test b/tests/pot-samedir.test
index 900be4f..6c321a9 100755
--- a/tests/pot-samedir.test
+++ b/tests/pot-samedir.test
@@ -16,7 +16,6 @@
 
 # Check that different .pot files in the same directory don't collide.
 
-required='gzip'
 . ./defs || Exit 1
 
 set -e
@@ -158,23 +157,23 @@ for builddir in . sub; do
   instdir="`pwd`/instdir"
   cd $builddir
   $sourcedir/configure --prefix="$instdir"
-  make
+  $MAKE
 
   # Check that "make install" creates the expected .pot files and .mo files.
   # (They are created under $sourcedir, because the files are distributed.
   # Cf. the GNU standards, node "Makefile Basics".)
 
-  make install
+  $MAKE install
 
   test -f $sourcedir/posub/foo-bar.pot
   test $builddir = '.' || test ! -f posub/foo-bar.pot
-  cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C tr 
-d '\r' > actual
+  grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
   diff actual $sourcedir/expected1
   rm -f actual
 
   test -f $sourcedir/posub/foo-baz.pot
   test $builddir = '.' || test ! -f posub/foo-baz.pot
-  cat $sourcedir/posub/foo-baz.pot | grep -v 'POT-Creation-Date' | LC_ALL=C tr 
-d '\r' > actual
+  grep -v 'POT-Creation-Date' $sourcedir/posub/foo-baz.pot | LC_ALL=C tr -d 
'\r' > actual
   diff actual $sourcedir/expected2
   rm -f actual
 
@@ -192,42 +191,35 @@ for builddir in . sub; do
   test -f "$instdir"/share/locale/it/LC_MESSAGES/foo-baz.mo
   test ! -f "$instdir"/share/locale/fr/LC_MESSAGES/foo-baz.mo
   # Check that the two .mo files for the same language are different.
-  if cmp "$instdir"/share/locale/de/LC_MESSAGES/foo-bar.mo 
"$instdir"/share/locale/de/LC_MESSAGES/foo-baz.mo >/dev/null; then
-    exit 1
-  fi
+  cmp "$instdir"/share/locale/de/LC_MESSAGES/foo-bar.mo \
+      "$instdir"/share/locale/de/LC_MESSAGES/foo-baz.mo && Exit 1
 
-  make dist
+  $MAKE dist
 
   # Check that the tarball contains the .po files and .mo files for the
   # specified languages, but not more.
   gzip -d -c < pot-samedir-1.0.tar.gz | tar tf - > filelist
-  grep '^pot-samedir-1\.0/posub/foo-bar-de\.po$' filelist >/dev/null
-  grep '^pot-samedir-1\.0/posub/foo-bar-de\.mo$' filelist >/dev/null
-  grep '^pot-samedir-1\.0/posub/foo-bar-fr\.po$' filelist >/dev/null
-  grep '^pot-samedir-1\.0/posub/foo-bar-fr\.mo$' filelist >/dev/null
-  if grep '^pot-samedir-1\.0/posub/foo-bar-it\.po$' filelist >/dev/null; then
-    exit 1
-  fi
-  if grep '^pot-samedir-1\.0/posub/foo-bar-it\.mo$' filelist >/dev/null; then
-    exit 1
-  fi
-  grep '^pot-samedir-1\.0/posub/foo-baz-de\.po$' filelist >/dev/null
-  grep '^pot-samedir-1\.0/posub/foo-baz-de\.mo$' filelist >/dev/null
-  grep '^pot-samedir-1\.0/posub/foo-baz-it\.po$' filelist >/dev/null
-  grep '^pot-samedir-1\.0/posub/foo-baz-it\.mo$' filelist >/dev/null
-  if grep '^pot-samedir-1\.0/posub/foo-baz-fr\.po$' filelist >/dev/null; then
-    exit 1
-  fi
-  if grep '^pot-samedir-1\.0/posub/foo-baz-fr\.mo$' filelist >/dev/null; then
-    exit 1
-  fi
+  grep '^pot-samedir-1\.0/posub/foo-bar-de\.po$' filelist
+  grep '^pot-samedir-1\.0/posub/foo-bar-de\.mo$' filelist
+  grep '^pot-samedir-1\.0/posub/foo-bar-fr\.po$' filelist
+  grep '^pot-samedir-1\.0/posub/foo-bar-fr\.mo$' filelist
+  grep '^pot-samedir-1\.0/posub/foo-bar-it\.po$' filelist && Exit 1
+  grep '^pot-samedir-1\.0/posub/foo-bar-it\.mo$' filelist && Exit 1
+  grep '^pot-samedir-1\.0/posub/foo-baz-de\.po$' filelist
+  grep '^pot-samedir-1\.0/posub/foo-baz-de\.mo$' filelist
+  grep '^pot-samedir-1\.0/posub/foo-baz-it\.po$' filelist
+  grep '^pot-samedir-1\.0/posub/foo-baz-it\.mo$' filelist
+  grep '^pot-samedir-1\.0/posub/foo-baz-fr\.po$' filelist && Exit 1
+  grep '^pot-samedir-1\.0/posub/foo-baz-fr\.mo$' filelist && Exit 1
   rm -f filelist
 
   # Sanity check.
-  make distcheck
+  $MAKE distcheck
 
   # Clean up.
-  make distclean
+  $MAKE distclean
   rm -rf "$instdir"
   cd $sourcedir
 done
+
+:
diff --git a/tests/pot-topsrcdir.test b/tests/pot-topsrcdir.test
index 7236eb5..d9a3433 100755
--- a/tests/pot-topsrcdir.test
+++ b/tests/pot-topsrcdir.test
@@ -20,7 +20,6 @@
 # FIXME: Should "make install" really update the PO files and MO files?
 #        Current po/Makefile.in.in does not do it.
 
-required='gzip'
 . ./defs || Exit 1
 
 set -e
@@ -129,7 +128,7 @@ for builddir in . sub; do
     instdir="`pwd`/instdir"
     cd $builddir
     env $config_options $sourcedir/configure --prefix="$instdir"
-    make
+    $MAKE
 
     cat > $sourcedir/src/main.c << 'END'
 #include <stdio.h>
@@ -145,11 +144,11 @@ END
     # (They are created under $sourcedir, because the files are distributed.
     # Cf. the GNU standards, node "Makefile Basics".)
 
-    make install
+    $MAKE install
 
     test -f $sourcedir/foo-bar.pot
     test $builddir = '.' || test ! -f foo-bar.pot
-    cat $sourcedir/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C tr -d 
'\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/foo-bar.pot | LC_ALL=C tr -d '\r' > 
actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -174,11 +173,11 @@ END
 
     rm -f $sourcedir/foo-bar.pot
 
-    make dist
+    $MAKE dist
 
     test -f $sourcedir/foo-bar.pot
     test $builddir = '.' || test ! -f foo-bar.pot
-    cat $sourcedir/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C tr -d 
'\r' > actual
+    grep -v 'POT-Creation-Date' $sourcedir/foo-bar.pot | LC_ALL=C tr -d '\r' > 
actual
     diff actual $sourcedir/expected
     rm -f actual
 
@@ -190,16 +189,12 @@ END
     # Check that the tarball contains foo-bar-{de,fr}.{po,mo} but not
     # the others, regardless whether LINGUAS was specified or not.
     gzip -d -c < pot-linguas-1.0.tar.gz | tar tf - > filelist
-    grep '^foo-bar-de\.po$' filelist >/dev/null
-    grep '^foo-bar-de\.mo$' filelist >/dev/null
-    grep '^foo-bar-fr\.po$' filelist >/dev/null
-    grep '^foo-bar-fr\.mo$' filelist >/dev/null
-    if grep '^foo-bar-es\.po$' filelist >/dev/null; then
-      exit 1
-    fi
-    if grep '^foo-bar-es\.mo$' filelist >/dev/null; then
-      exit 1
-    fi
+    grep '^foo-bar-de\.po$' filelist
+    grep '^foo-bar-de\.mo$' filelist
+    grep '^foo-bar-fr\.po$' filelist
+    grep '^foo-bar-fr\.mo$' filelist
+    grep '^foo-bar-es\.po$' filelist && Exit 1
+    grep '^foo-bar-es\.mo$' filelist && Exit 1
     rm -f filelist
 
     # Try modifying a source file.
@@ -221,30 +216,26 @@ END
     cp -p $sourcedir/foo-bar-fr.mo $sourcedir/foo-bar-fr.mobak
     cp -p $sourcedir/foo-bar-es.po $sourcedir/foo-bar-es.pobak
     cp -p $sourcedir/foo-bar-es.mo $sourcedir/foo-bar-es.mobak
-    make
+    $MAKE
     diff $sourcedir/foo-bar.potbak $sourcedir/foo-bar.pot
-    cmp $sourcedir/foo-bar-de.pobak $sourcedir/foo-bar-de.po >/dev/null
-    cmp $sourcedir/foo-bar-de.mobak $sourcedir/foo-bar-de.mo >/dev/null
-    cmp $sourcedir/foo-bar-fr.pobak $sourcedir/foo-bar-fr.po >/dev/null
-    cmp $sourcedir/foo-bar-fr.mobak $sourcedir/foo-bar-fr.mo >/dev/null
-    cmp $sourcedir/foo-bar-es.pobak $sourcedir/foo-bar-es.po >/dev/null
-    cmp $sourcedir/foo-bar-es.mobak $sourcedir/foo-bar-es.mo >/dev/null
+    cmp $sourcedir/foo-bar-de.pobak $sourcedir/foo-bar-de.po
+    cmp $sourcedir/foo-bar-de.mobak $sourcedir/foo-bar-de.mo
+    cmp $sourcedir/foo-bar-fr.pobak $sourcedir/foo-bar-fr.po
+    cmp $sourcedir/foo-bar-fr.mobak $sourcedir/foo-bar-fr.mo
+    cmp $sourcedir/foo-bar-es.pobak $sourcedir/foo-bar-es.po
+    cmp $sourcedir/foo-bar-es.mobak $sourcedir/foo-bar-es.mo
 
     # Check that "make install" updates the POT file, the PO files, and the
     # MO files listed in the _LINGUAS variable, regardless whether LINGUAS
     # was specified or not.
-    make install
-    cat $sourcedir/foo-bar.pot | grep great >/dev/null
-    cat $sourcedir/foo-bar-de.po | grep great >/dev/null
-    if cmp $sourcedir/foo-bar-de.mobak $sourcedir/foo-bar-de.mo >/dev/null; 
then
-      exit 1
-    fi
-    cat $sourcedir/foo-bar-fr.po | grep great >/dev/null
-    if cmp $sourcedir/foo-bar-fr.mobak $sourcedir/foo-bar-fr.mo >/dev/null; 
then
-      exit 1
-    fi
-    cmp $sourcedir/foo-bar-es.pobak $sourcedir/foo-bar-es.po >/dev/null
-    cmp $sourcedir/foo-bar-es.mobak $sourcedir/foo-bar-es.mo >/dev/null
+    $MAKE install
+    grep great $sourcedir/foo-bar.pot
+    grep great $sourcedir/foo-bar-de.po
+    grep great $sourcedir/foo-bar-fr.po
+    cmp $sourcedir/foo-bar-de.mobak $sourcedir/foo-bar-de.mo && Exit 1
+    cmp $sourcedir/foo-bar-fr.mobak $sourcedir/foo-bar-fr.mo && Exit 1
+    cmp $sourcedir/foo-bar-es.pobak $sourcedir/foo-bar-es.po
+    cmp $sourcedir/foo-bar-es.mobak $sourcedir/foo-bar-es.mo
 
     # Check that "make dist" updates the POT file, the PO files, and the
     # MO files listed in the _LINGUAS variable, regardless whether LINGUAS
@@ -254,30 +245,28 @@ END
     cp -p $sourcedir/foo-bar-de.mobak $sourcedir/foo-bar-de.mo
     cp -p $sourcedir/foo-bar-fr.pobak $sourcedir/foo-bar-fr.po
     cp -p $sourcedir/foo-bar-fr.mobak $sourcedir/foo-bar-fr.mo
-    make dist
-    cat $sourcedir/foo-bar.pot | grep great >/dev/null
-    cat $sourcedir/foo-bar-de.po | grep great >/dev/null
-    if cmp $sourcedir/foo-bar-de.mobak $sourcedir/foo-bar-de.mo >/dev/null; 
then
-      exit 1
-    fi
-    cat $sourcedir/foo-bar-fr.po | grep great >/dev/null
-    if cmp $sourcedir/foo-bar-fr.mobak $sourcedir/foo-bar-fr.mo >/dev/null; 
then
-      exit 1
-    fi
-    cmp $sourcedir/foo-bar-es.pobak $sourcedir/foo-bar-es.po >/dev/null
-    cmp $sourcedir/foo-bar-es.mobak $sourcedir/foo-bar-es.mo >/dev/null
+    $MAKE dist
+    grep great $sourcedir/foo-bar.pot
+    grep great $sourcedir/foo-bar-de.po
+    grep great $sourcedir/foo-bar-fr.po
+    cmp $sourcedir/foo-bar-de.mobak $sourcedir/foo-bar-de.mo && Exit 1
+    cmp $sourcedir/foo-bar-fr.mobak $sourcedir/foo-bar-fr.mo && Exit 1
+    cmp $sourcedir/foo-bar-es.pobak $sourcedir/foo-bar-es.po
+    cmp $sourcedir/foo-bar-es.mobak $sourcedir/foo-bar-es.mo
 
     # Check that the updated PO files contain 'previous msgid' fields.
-    cat $sourcedir/foo-bar-de.po | grep '^#| msgid "Hello, world\.\\n"$' 
>/dev/null
-    cat $sourcedir/foo-bar-fr.po | grep '^#| msgid "Hello, world\.\\n"$' 
>/dev/null
+    grep '^#| msgid "Hello, world\.\\n"$' $sourcedir/foo-bar-de.po
+    grep '^#| msgid "Hello, world\.\\n"$' $sourcedir/foo-bar-fr.po
 
     # Sanity check.
-    make distcheck
+    $MAKE distcheck
 
     # Clean up.
-    rm -f $sourcedir/foo-bar.potbak $sourcedir/*.pobak $sourcedir/*.mobak
-    make distclean
+    rm -f $sourcedir/foo-bar.potbak $sourcedir/*.[mp]obak
+    $MAKE distclean
     rm -rf "$instdir"
     cd $sourcedir
   done
 done
+
+:
diff --git a/tests/pot-warn1.test b/tests/pot-warn1.test
index 2c79fb6..d69f3f3 100755
--- a/tests/pot-warn1.test
+++ b/tests/pot-warn1.test
@@ -47,5 +47,6 @@ posub_foo_bar_pot_SOURCES =
 END
 
 # Check that there is no warning any more.
+$AUTOMAKE -Werror
 
-AUTOMAKE_run 0 -Werror
+:
diff --git a/tests/pot-warn2.test b/tests/pot-warn2.test
index 605655a..724930b 100755
--- a/tests/pot-warn2.test
+++ b/tests/pot-warn2.test
@@ -46,4 +46,6 @@ END
 
 # Check that there is no warning any more.
 
-AUTOMAKE_run 0 -Werror
+$AUTOMAKE -Werror
+
+:
diff --git a/tests/pot-xgettext1.test b/tests/pot-xgettext1.test
index d6cffcc..7409685 100755
--- a/tests/pot-xgettext1.test
+++ b/tests/pot-xgettext1.test
@@ -82,25 +82,27 @@ for builddir in . sub; do
   instdir="`pwd`/instdir"
   cd $builddir
   $sourcedir/configure --prefix="$instdir"
-  make
+  $MAKE
 
   # Check that "make dist" creates the expected .pot file.
   # (It is created under $sourcedir, because the .pot file is distributed.
   # Cf. the GNU standards, node "Makefile Basics".)
 
-  make dist
+  $MAKE dist
 
   test -f $sourcedir/posub/foo-bar.pot
   test $builddir = '.' || test ! -f posub/foo-bar.pot
-  cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C tr 
-d '\r' > actual
+  grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
   diff actual $sourcedir/expected
   rm -f actual
 
   # Sanity check.
-  make distcheck
+  $MAKE distcheck
 
   # Clean up.
-  make distclean
+  $MAKE distclean
   rm -rf "$instdir"
   cd $sourcedir
 done
+
+:
diff --git a/tests/pot-xgettext2.test b/tests/pot-xgettext2.test
index 0c6e326..d7b81b0 100755
--- a/tests/pot-xgettext2.test
+++ b/tests/pot-xgettext2.test
@@ -82,25 +82,27 @@ for builddir in . sub; do
   instdir="`pwd`/instdir"
   cd $builddir
   $sourcedir/configure --prefix="$instdir"
-  make
+  $MAKE
 
   # Check that "make dist" creates the expected .pot file.
   # (It is created under $sourcedir, because the .pot file is distributed.
   # Cf. the GNU standards, node "Makefile Basics".)
 
-  make dist
+  $MAKE dist
 
   test -f $sourcedir/posub/foo-bar.pot
   test $builddir = '.' || test ! -f posub/foo-bar.pot
-  cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C tr 
-d '\r' > actual
+  grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
   diff actual $sourcedir/expected
   rm -f actual
 
   # Sanity check.
-  make distcheck
+  $MAKE distcheck
 
   # Clean up.
-  make distclean
+  $MAKE distclean
   rm -rf "$instdir"
   cd $sourcedir
 done
+
+:
diff --git a/tests/pot-xgettext3.test b/tests/pot-xgettext3.test
index 285646f..65d2dea 100755
--- a/tests/pot-xgettext3.test
+++ b/tests/pot-xgettext3.test
@@ -97,25 +97,27 @@ for builddir in . sub; do
   instdir="`pwd`/instdir"
   cd $builddir
   $sourcedir/configure --prefix="$instdir"
-  make
+  $MAKE
 
   # Check that "make dist" creates the expected .pot file.
   # (It is created under $sourcedir, because the .pot file is distributed.
   # Cf. the GNU standards, node "Makefile Basics".)
 
-  make dist
+  $MAKE dist
 
   test -f $sourcedir/posub/foo-bar.pot
   test $builddir = '.' || test ! -f posub/foo-bar.pot
-  cat $sourcedir/posub/foo-bar.pot | grep -v 'POT-Creation-Date' | LC_ALL=C tr 
-d '\r' > actual
+  grep -v 'POT-Creation-Date' $sourcedir/posub/foo-bar.pot | LC_ALL=C tr -d 
'\r' > actual
   diff actual $sourcedir/expected
   rm -f actual
 
   # Sanity check.
-  make distcheck
+  $MAKE distcheck
 
   # Clean up.
-  make distclean
+  $MAKE distclean
   rm -rf "$instdir"
   cd $sourcedir
 done
+
+:
diff --git a/tests/pot-xgettext4.test b/tests/pot-xgettext4.test
index a170525..6fd1cd4 100755
--- a/tests/pot-xgettext4.test
+++ b/tests/pot-xgettext4.test
@@ -92,25 +92,27 @@ for builddir in . sub; do
   instdir="`pwd`/instdir"
   cd $builddir
   $sourcedir/configure --prefix="$instdir"
-  make
+  $MAKE
 
   # Check that "make dist" creates the expected .pot file.
   # (It is created under $sourcedir, because the .pot file is distributed.
   # Cf. the GNU standards, node "Makefile Basics".)
 
-  make dist
+  $MAKE dist
 
   test -f $sourcedir/maude.pot
   test $builddir = '.' || test ! -f maude.pot
-  cat $sourcedir/maude.pot | grep -v 'POT-Creation-Date' | LC_ALL=C tr -d '\r' 
> actual
+  grep -v 'POT-Creation-Date' $sourcedir/maude.pot | LC_ALL=C tr -d '\r' > 
actual
   diff actual $sourcedir/expected
   rm -f actual
 
   # Sanity check.
-  make distcheck
+  $MAKE distcheck
 
   # Clean up.
-  make distclean
+  $MAKE distclean
   rm -rf "$instdir"
   cd $sourcedir
 done
+
+:
-- 
1.7.1


reply via email to

[Prev in Thread] Current Thread [Next in Thread]